      program main
c
C Mon premier programme en MPI FORTRAN
C
C sur machine DIGITAL/Compaq  (alpha)
C compilation 
C f77 -o mpifileF mpifileF.f -lfmpi -lmpi 
C execution 
C dmpirun -np 2 mpifileF
C Digital MPI devive de MPICH (v1)
C
C sur la grappe de PC BioIMAGe
C f77 -o mpifile mpifile.f -lmpich ???
C 
CCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCCC
      include 'mpif.h'
c
      integer rank, size
      integer ierr
      integer i,j
      real*8 mean
c initialisation
      call mpi_init(ierr)
      call mpi_comm_rank(mpi_comm_world,rank,ierr)
      call mpi_comm_size(mpi_comm_world,size,ierr)
c chacun fait ses propres calculs
      mean = 0
      do i=1,10000
         do j=1,10000
            mean=mean+rank
         enddo
         mean=mean/13-int(mean/13)
      enddoc
c chacun ecrit a l'ecran
      write(*,*)rank, "ieme processus d un groupe de ",size, 
     +     "résultat = ",mean

      call mpi_finalize(ierr)
      end

